<?php
namespace Claromentis\Core\DAL\MSSQL\NativeClient;

$GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"] = (@$GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"] ?: array()) + array("_d64c6254864cf96656" . "eabcea4c48fe51" => base64_decode("c3Fsc3J" . "2X2hhc1" . "9yb3dz"), "_9a1d01ea56101db475f6e198f06a4" . "f9d" => base64_decode("c3Fsc3J2X2Zy" . "ZWVfc3RtdA=="), "_020048b1b65987544bdb5f" . "9afa692a0f" => base64_decode("TnVtUm93cyBpcyBub3Qg" . "c3VwcG9ydGVk"), "_78aadcc2e" . "8dfecef37e" . "1fe6d5ffbc" . "dbb" => base64_decode("c3Fsc3J2X2ZldGNoX" . "2FycmF5"), "_a591754a8ddcdbda9" . "c80f1db4d911e14" => base64_decode("aXNfbnVs" . "bA=="));
use Claromentis\Core\DAL;
use UnsupportedOperationException;
class ResultUnbuffered implements DAL\ResultInterface
{
    protected $stmt;
    protected $has_data = null;
    
    
    public function __construct($_a606a2dcd236a549db0574a9c1675927)
    {
        $this->stmt = $_a606a2dcd236a549db0574a9c1675927;
        if ($_a606a2dcd236a549db0574a9c1675927 === true) {
            return;
        }
    }
    public function fetchRow()
    {
        $data = $GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_78aadcc2e8dfecef37e1" . "fe6d5ffbcdbb"]($this->stmt, SQLSRV_FETCH_NUMERIC);
        
        
        return $data;
    }
    public function fetchArray()
    {
        $data = $GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_78aadcc2e8dfecef37e1fe6d" . "5ffbcdbb"]($this->stmt, SQLSRV_FETCH_ASSOC);
        
        
        return $data;
    }
    public function numRows()
    {
        throw new UnsupportedOperationException($GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_020048b1b65987544bdb5f9af" . "a692a0f"]);
        
        
        
    }
    public function hasData()
    {
        if ($GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_a591754a8ddcdbda" . "9c80f1db4d911e14"]($this->has_data)) {
            $this->has_data = $GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_d64c6254864" . "cf96656eabce" . "a4c48fe51"]($this->stmt);
        }
        return $this->has_data;
    }
    public function free()
    {
        if ($this->stmt) {
            $GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_9a1d01ea56101db475f6e198" . "f06a4f9d"]($this->stmt);
            $this->stmt = null;
        }
        return true;
    }
    
    
    
    
    
    
    
    public function fetchAllValues()
    {
        return DAL\DbUtil::fetchAllValues($this);
    }
    public function __destruct()
    {
        $this->free();
    }
}